# Visualization
TKService
Aspect

# Aspect_MarkMapEntry Class Reference

This class defines a markmap entrys.
A markmap entry is an association between
a MarkerStyle object and an index in the markmap.
.

`#include <Aspect_MarkMapEntry.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_MarkMapEntry ()
| Creates an unallocated markmap entry .
Standard_EXPORT | Aspect_MarkMapEntry (const Standard_Integer index, const Aspect_MarkerStyle &style)
| Creates an allocated markmap entry .
Standard_EXPORT | Aspect_MarkMapEntry (const Aspect_MarkMapEntry &entry)
| Creates an allocated markmap entry. Warning: Raises error if the markmap entry <entry> is unallocated. .
Standard_EXPORT void | SetValue (const Standard_Integer index, const Aspect_MarkerStyle &style)
| Sets markmap entry value and allocates it. .
Standard_EXPORT void | SetValue (const Aspect_MarkMapEntry &entry)
| Sets markmap entry value and allocates it. .
void | operator= (const Aspect_MarkMapEntry &entry)
Standard_EXPORT void | SetStyle (const Aspect_MarkerStyle &Style)
| Sets the marker style of markmap entry. .
Standard_EXPORT const Aspect_MarkerStyle & | Style () const
Standard_EXPORT void | SetIndex (const Standard_Integer index)
| Sets index value of a markmap entry. .
Standard_EXPORT Standard_Integer | Index () const
| Returns index value of a markmap entry. Warning: Raises error if the markmap entry is unallocated . .
Standard_EXPORT void | Free ()
| Unallocates the markmap entry. .
Standard_EXPORT Standard_Boolean | IsAllocated () const
| Returns True if the markmap entry is allocated. Warning: A markmap entry is allocated when the marker and the index is defined. .
Standard_EXPORT void | Dump () const

## Private Attributes

Aspect_MarkerStyle | MyStyle
Standard_Integer | MyIndex
Standard_Boolean | MyStyleIsDef
Standard_Boolean | MyIndexIsDef

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_MarkMapEntry::Aspect_MarkMapEntry | ( |  | ) |

Standard_EXPORT Aspect_MarkMapEntry::Aspect_MarkMapEntry | ( | const Standard_Integer | index,
|  | const Aspect_MarkerStyle & | style
| ) |

Standard_EXPORT Aspect_MarkMapEntry::Aspect_MarkMapEntry | ( | const Aspect_MarkMapEntry & | entry | ) |

## Member Function Documentation

Standard_EXPORT void Aspect_MarkMapEntry::Dump | ( |  | ) | const

Standard_EXPORT void Aspect_MarkMapEntry::Free | ( |  | ) |

Standard_EXPORT Standard_Integer Aspect_MarkMapEntry::Index | ( |  | ) | const

Standard_EXPORT Standard_Boolean Aspect_MarkMapEntry::IsAllocated | ( |  | ) | const

void Aspect_MarkMapEntry::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_MarkMapEntry::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_MarkMapEntry::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Aspect_MarkMapEntry::operator= | ( | const Aspect_MarkMapEntry & | entry | ) | `[inline]`

Standard_EXPORT void Aspect_MarkMapEntry::SetIndex | ( | const Standard_Integer | index | ) |

Standard_EXPORT void Aspect_MarkMapEntry::SetStyle | ( | const Aspect_MarkerStyle & | Style | ) |

Standard_EXPORT void Aspect_MarkMapEntry::SetValue | ( | const Aspect_MarkMapEntry & | entry | ) |

Standard_EXPORT void Aspect_MarkMapEntry::SetValue | ( | const Standard_Integer | index,
|  | const Aspect_MarkerStyle & | style
| ) |

Standard_EXPORT const Aspect_MarkerStyle& Aspect_MarkMapEntry::Style | ( |  | ) | const

## Field Documentation

Standard_Integer Aspect_MarkMapEntry::MyIndex `[private]`

Standard_Boolean Aspect_MarkMapEntry::MyIndexIsDef `[private]`

Aspect_MarkerStyle Aspect_MarkMapEntry::MyStyle `[private]`

Standard_Boolean Aspect_MarkMapEntry::MyStyleIsDef `[private]`

The documentation for this class was generated from the following file:

- Aspect_MarkMapEntry.hxx